Fetch Entity
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/entity/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/entity/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"approval_status": "approved",
"approval_status_description": "Approved for payouts only",
"approved_at": "2025-10-09T02:55:52.284767Z",
"created_at": "2025-10-08T05:18:11.700575Z",
"description": "",
"documents": [
{
"description": "Recent utility bill",
"document_id": "doc_d3iv85v58tg9dlpipu2g",
"file_name": "kyb_doc82697_2October2025_202590_894374483.pdf",
"sub_type": "other",
"tag": "",
"type": "address",
"updated_at": "2025-09-08T05:18:15.228195Z",
"url": "https://s3.ap-southeast-1.amazonaws.com/tazapay-test-doc"
},
{
"description": "Passport front",
"document_id": "doc_d3iv85v58tg9dlpipu1g",
"file_name": "kyb_doc10723_8October2025_docapture_manual-6.jpg",
"sub_type": "passport",
"tag": "identityProofTypeFrontDoc",
"type": "identity",
"updated_at": "2025-10-08T05:18:15.228195Z",
"url": "https://s3.ap-southeast-1.amazonaws.com/tazapay-test-doc"
},
{
"description": "Passport back",
"document_id": "doc_d3iv85v58tg9dlpipu20",
"file_name": "kyb_doc38625_8October2025_docapture_manual-6.jpg",
"sub_type": "passport",
"tag": "identityProofTypeBackDoc",
"type": "identity",
"updated_at": "2025-10-08T05:18:15.228195Z",
"url": "https://s3.ap-southeast-1.amazonaws.com/tazapay-test-doc"
}
],
"email": "",
"id": "ent_d3iv84vs8ud68hm8dba40",
"metadata": {},
"name": "James Brwon",
"object": "entity",
"on_behalf_of": "",
"onboarding_package_url": "",
"operating_address": null,
"pending_documents": [],
"phone": {
"calling_code": "",
"number": ""
},
"purpose_of_use": [
"payout"
],
"reference_id": "",
"registration_address": {
"city": "Bangkok",
"country": "TH",
"line1": "151/1 Richmond Boulevard, Lumpini",
"line2": "",
"postal_code": "10330",
"state": "Pathumwan"
},
"registration_date": "",
"registration_number": "",
"rejected_at": null,
"relationship": "customer",
"representatives": [],
"individual": {
"date_of_birth": "1990-05-15",
"national_identification_number": {
"type": "passport",
"number": "P1234567",
"issuer": {
"country": "SG",
"state": ""
},
"expiration": "2030-05-14",
"country_of_citizenship": "SG"
},
"nationality": "SG",
"profession": {
"occupation": "Software Engineer",
"isco_code": "2512",
"industry": "Technology",
"employment_status": "employed"
},
"source_of_funds": {
"primary_source": "salary",
"description": ""
},
"employment_details": {
"employer_name": "Acme Corp",
"designation": "Senior Engineer"
}
},
"transaction_profile": {
"monthly_expected_transactions_value": 10000,
"monthly_expected_transaction_volume": 5,
"expected_transaction_countries": [
"SG",
"US"
],
"expected_transaction_currencies": [
"USD",
"SGD"
],
"customer_risk": "low"
},
"source_of_wealth": null,
"statement_descriptor": "",
"submit": true,
"submitted_at": "2025-10-01T05:18:15.228732Z",
"tax_id": "",
"type": "individual",
"vertical": "",
"website": ""
}
}"{}"Entity
Fetch Entity
GET
/
v3
/
entity
/
{id}
Fetch Entity
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Tazapay unique ID for the entity
Was this page helpful?
⌘I